# RCSid:
#       $Id: Makefile,v 1.8 1997/02/08 07:09:54 sjg Exp $
#
#       @(#) Copyright (c) 1995 Simon J. Gerraty
#
#       This file is provided in the hope that it will
#       be of use.  There is absolutely NO WARRANTY.
#       Permission to copy, redistribute or otherwise
#       use this file is hereby granted provided that 
#       the above copyright notice and this notice are
#       left intact. 
#      
#       Please send copies of changes and bug-fixes to:
#       sjg@quick.com.au
#

all: config.h Makefile.inc

# more or less as per the autoconf manual.

config.h:	stamp-h
stamp-h:	${.CURDIR}/config.h.in config.status
	CONFIG_FILES= ./config.status
	echo timestamp > stamp-h
.if exists(${.CURDIR}/../snmp/lib/snmp2/snmp_asn1.h) || exists(${.CURDIR}/../include/snmp_asn1.h)
	echo "#define HAVE_SNMP_H 1" >> config.h
.endif

Makefile.inc:	config.status Makefile.inc.in 
	CONFIG_HEADERS= ./config.status

.include "../Makefile.inc"
.include <bsd.obj.mk>
.include <sjg.subdir.mk>

.include "../Makefile.autoconf.inc"
